Bug 1798458 - Enabling tools repo step subscription-manager repos --enable=rhel-\*-satellite-tools-\*-rpms In Hosts > Content Hosts > Register Content Host , Does not work for RHEL 8
Summary: Enabling tools repo step subscription-manager repos --enable=rhel-\*-satellit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: 6.7.0
Assignee: Jonathon Turel
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 12:10 UTC by roarora
Modified: 2020-04-14 13:28 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-5.0.1.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:48 UTC

Description roarora 2020-02-05 12:10:32 UTC
Description of problem:

In Hosts > Content Hosts > Register Content Host , There is a step : 
-----------
Enable satellite-tools repository if you want to use client tools such as katello-agent or puppet:

subscription-manager repos --enable=rhel-\*-satellite-tools-\*-rpms
-----------

This does not work for RHEL 8 as the label for RHEL 8 "satellite-tools-6.6-for-rhel-8-x86_64-rpms" does not match pattern : 

subscription-manager repos --enable=rhel-\*-satellite-tools-\*-rpms
Error: 'rhel-*-satellite-tools-*-rpms' does not match a valid repository ID. Use "subscription-manager repos --list" to see valid repositories.
[root@dhcp130-216 yum.repos.d]# subscription-manager repos
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   satellite-tools-6.6-for-rhel-8-x86_64-rpms
Repo Name: Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (RPMs)
Repo URL:  https://rhsat.lab.box/pulp/repos/Example/Library/content/dist/layered/rhel8/x86_64/sat-tools/6.6/os
Enabled:   0

Repo ID:   rhel-8-for-x86_64-appstream-rpms
Repo Name: Red Hat Enterprise Linux 8 for x86_64 - AppStream (RPMs)
Repo URL:  https://rhsat.lab.box/pulp/repos/Example/Library/content/dist/rhel8/$releasever/x86_64/appstream/os
Enabled:   1

Repo ID:   rhel-8-for-x86_64-baseos-rpms
Repo Name: Red Hat Enterprise Linux 8 for x86_64 - BaseOS (RPMs)
Repo URL:  https://rhsat.lab.box/pulp/repos/Example/Library/content/dist/rhel8/$releasever/x86_64/baseos/os


Version-Release number of selected component (if applicable):
Satellite 6.6
RHEL 8 Client

Comment 6 vijsingh 2020-03-12 08:25:29 UTC
Verified

@Satellite 6.7.0 snap 15.0

Steps/observation:
 - Step added to enable tool repo as below now:
 
 "subscription-manager repos --enable=satellite-tools-6.7-for-rhel-8-x86_64-rpms"

Comment 8 errata-xmlrpc 2020-04-14 13:28:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.